package com.fzm.mall.server.admin.finance_center.enums.type;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author wangp
 * @date 2021/4/26 16:31
 * @description 收付款方式
 * @since JDK 1.8
 */
public enum PayModeTypeEnum {
    ALIPAY(1),//支付宝
    WECHAT(2),//微信
    DIGITAL(3);//数字资产

    private Integer type;

    PayModeTypeEnum(Integer type) {
        this.type = type;
    }

    public Integer getType() {
        return type;
    }

    public static List<Integer> getPayModeList() {
        List<Integer> payModelList = Arrays.stream(PayModeTypeEnum.values())
                .map(PayModeTypeEnum::getType).collect(Collectors.toList());
        return payModelList;
    }
}
